.catalog-item {
  $this: &;
  &__inner {
    background: url(../pic/item-bg.jpg) center no-repeat;
    background-size: cover;
    position: relative;
    border-radius: 3px;
    padding-top: rem(20);
    display: block;
    width: 100%;
    outline: none;
    border: none;
    text-align: left;
    &:before {
      content: "";
      position: absolute;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      background: rgba(0, 0, 0, .2);
      opacity: 0;
      transition: all .3s ease;
    }
    &:hover {
      &:before {
        opacity: 1;
      }
    }
  }
  &__image {
    position: relative;
    padding-top: 40.25%;
    overflow: hidden;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    mix-blend-mode: multiply;
  }
  &__number {
    font-family: $font-primary;
    font-size: rem(12);
    line-height: rem(32);
    font-weight: bold;
    color: $color-black;
    padding-bottom: rem(15);
    position: relative;
    margin-bottom: rem(32);
    &:before {
      content: "";
      position: absolute;
      left: 0;
      bottom: 0;
      width: rem(64px);
      height: 1px;
      background: transparentize($color-black, 0.8);
    }
  }
  &__title {
    $lh: 1.2;
    $fs: rem(20);
    font-family: $font-primary;
    font-size: $fs;
    line-height: $lh;
    color: $color-black;
    margin-bottom: rem(5);
    height: $fs * $lh * 2;
    overflow: hidden;
    position: relative;
    a[href],a.c-pointer {
      &:hover {
        text-decoration: underline;
      }
    }
  }
  &__link {
    font-size: rem(12);
    font-family: $font-primary;
    font-weight: bold;
    text-transform: uppercase;
    color: $color-primary;
    position: relative;
    /* Because Link component doesn't have className */
    a{
      color: $color-primary;
    }
  }
  &__link-text{
    font-size: rem(12);
    font-family: $font-primary;
    font-weight: bold;
    text-transform: uppercase;
  }
  &__action-text {
    display: table;
    line-height: rem(24);
    outline: none;
    border:0;
    background: transparent;
    color: $color-primary;
    &:hover {
      .catalog-item__right-icon {
        transform: translate3d(3px, 0, 0);
      }
    }
    &--disabled{
      color: $color-gray-2;
    }
  }
  &__text {
    display: table-cell;
    vertical-align: middle;
  }
  &__right-icon {
    fill: currentColor;
    transition: all .3s ease;
    position: relative;
    display: table-cell;
    vertical-align: middle;
    overflow: hidden;
    svg {
      display: block;
      height: 1.5rem;
    }
  }
  &--visible-and-not-active{
    #{$this}__inner:before{
      opacity: .5;
      background: rgba(0, 0, 0, .6);
    }
    &:hover{
      #{$this}__inner:before{
        opacity: .8;
      }
    }
  }
}
